import random

# Menu
print "1. Level 1 -- number between 0 and 10 -- 5 chances\n\
2. Level 2 -- number between 0 and 100 -- 20 chances\n\
3. Level 3 -- number between 0 and 100 -- 5 chances\n\
4. Level 4 -- number between 0 and 1000 -- 10 chances\n\
5. Level 5 -- choose you own upper bound and number of chances"
choice = int(raw_input("Level (enter corresponding number): "))

# define bound and chances as chosen
bound, chances = 0, 0
if choice == 1 : bound, chances = 10, 5
elif choice == 2 : bound, chances = 100, 20
elif choice == 3 : bound, chances = 100, 5
elif choice == 4 : bound, chances = 1000, 10
elif choice == 5 :
    bound, chances = map(int, raw_input("format 'bound chances': ").split(' '))

# let the computer choose a number
myst = random.randint(0,bound)
print "I'm thinking of a number between 0 and "+str(bound)+"..."

# while the user still has some trials left
while chances > 0 :
    try : # input for the user to guess the number
        guess = int(raw_input("Guess it ("+str(chances)+" chances left): "))
        assert guess >= 0 and guess <= bound
    except (ValueError, AssertionError) : # it sould be a valid guess
        print "Not a valid guess."
        continue

    if guess < myst : print "It's more"
    elif guess > myst : print "It's less"
    else :
        print "You win!"
        break
    # do not forget to decrement the chances
    chances -= 1

# at this point, either the user won or there is no more chances
if chances == 0: print "You loose... It was "+str(myst)+"."
